Skip to main content
`Ctrl`+`K`

# numpy.ma.argmax

ma.argmax(self, axis=None, fill_value=None, out=None, *, keepdims=<no value>)

  Returns array of indices of the maximum values along the given axis. Masked values are treated as if they had the value fill_value.

  Parameters:
    axis{None, integer}

      If None, the index is into the flattened array, otherwise along the specified axis

    fill_value scalar or None, optional

      Value used to fill in the masked values. If None, the output of maximum_fill_value(self._data) is used instead.

    out{None, array}, optional

      Array into which the result can be placed. Its type is preserved and it must be of the right shape to hold the output.

  Returns:
    index_array{integer_array}

  Examples

      >>> import numpy as np
      >>> a = np.arange(6).reshape(2,3)
      >>> a.argmax()
      5
      >>> a.argmax(0)
      array([1, 1, 1])
      >>> a.argmax(1)
      array([2, 2])